

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.59. status &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.60. suggest" href="suggest.html" />
    <link rel="prev" title="7.3.58. shutdown" href="shutdown.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/status.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="shutdown.html" title="7.3.58. shutdown"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="status">
<h1><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code><a class="headerlink" href="#status" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.59.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">status</span></code> はこのリクエストを処理しているコンテキストの現在のステータスを返します。</p>
<p>コンテキストはリクエストを処理する単位です。通常、各スレッドごとにコンテキストを作ります。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.59.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドに引数はありません:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>status
</pre></div>
</div>
</div>
<div class="section" id="usage">
<span id="status-usage"></span><h2><span class="section-number">7.3.59.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>以下は簡単な使用例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>status
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   {
#     &quot;uptime&quot;: 1,
#     &quot;max_command_version&quot;: 3,
#     &quot;start_time&quot;: 1514345928,
#     &quot;cache_hit_rate&quot;: 0.0,
#     &quot;version&quot;: &quot;7.0.9&quot;,
#     &quot;alloc_count&quot;: 13365,
#     &quot;command_version&quot;: 1,
#     &quot;starttime&quot;: 1514345928,
#     &quot;default_command_version&quot;: 1,
#     &quot;n_queries&quot;: 0
#   }
# ]
</pre></div>
</div>
<p>このリクエストを処理しているコンテキストの現在のステータスを返します。詳細は <a class="reference internal" href="#status-return-value"><span class="std std-ref">戻り値</span></a> を参照してください。</p>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.59.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションではすべての引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.59.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数はありません。</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.59.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<span id="status-return-value"></span><h2><span class="section-number">7.3.59.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドはオブジェクトとして現在のステータスを返します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  {
    &quot;alloc_count&quot;: ALLOC_COUNT,
    &quot;cache_hit_rate&quot;: CACHE_HIT_RATE,
    &quot;command_version&quot;: COMMAND_VERSION,
    &quot;default_command_version&quot;: DEFAULT_COMMAND_VERSION,
    &quot;max_command_version&quot;: MAX_COMMAND_VERSION,
    &quot;n_queries&quot;: N_QUERIES,
    &quot;start_time&quot;: START_TIME,
    &quot;starttime&quot;: STARTTIME,
    &quot;uptime&quot;: UPTIME,
    &quot;version&quot;: VERSION
  }
]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
<p>以下は値の説明です。実際の値は <a class="reference internal" href="#status-usage"><span class="std std-ref">使い方</span></a> を参照してください。</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 33%" />
<col style="width: 33%" />
<col style="width: 33%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>キー</p></th>
<th class="head"><p>説明</p></th>
<th class="head"><p>例</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">alloc_count</span></code></p></td>
<td><p>まだ解放されていないメモリーブロックの数です。もし、この値が継続的に増えていっているならメモリーリークがあるかもしれません。</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1400</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">cache_hit_rate</span></code></p></td>
<td><p>このGroongaプロセスがキャッシュを使って返したレスポンスの割合です。もし、10リクエストのうち7つのレスポンスはキャッシュを使ったなら、 <code class="docutils literal notranslate"><span class="pre">cache_hit_rate</span></code> は <code class="docutils literal notranslate"><span class="pre">70.0</span></code> になります。この割合はキャッシュをサポートしているコマンドを使ったリクエストのみで計算します。</p>
<p>以下はキャッシュをサポートしているコマンドです。</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="select.html"><span class="doc">select</span></a></p></li>
<li><p><a class="reference internal" href="logical_select.html"><span class="doc">logical_select</span></a></p></li>
<li><p><a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a></p></li>
<li><p><a class="reference internal" href="logical_count.html"><span class="doc">logical_count</span></a></p></li>
</ul>
</div></blockquote>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">29.4</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">command_version</span></code></p></td>
<td><p>このコンテキストが使っている <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> です。</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">default_command_version</span></code></p></td>
<td><p>このGroongaプロセスのデフォルト <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> です。</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">max_command_version</span></code></p></td>
<td><p>このGroongaプロセスがサポートしている最大 <a class="reference internal" href="../command/command_version.html"><span class="doc">コマンドバージョン</span></a> です。</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">n_queries</span></code></p></td>
<td><p>このGroongaプロセスが処理したリクエスト数です。ただし、キャッシュをサポートしたコマンドを使ったリクエストだけを数えます。</p>
<p>以下はキャッシュをサポートしているコマンドです。</p>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="select.html"><span class="doc">select</span></a></p></li>
<li><p><a class="reference internal" href="logical_select.html"><span class="doc">logical_select</span></a></p></li>
<li><p><a class="reference internal" href="logical_range_filter.html"><span class="doc">logical_range_filter</span></a></p></li>
<li><p><a class="reference internal" href="logical_count.html"><span class="doc">logical_count</span></a></p></li>
</ul>
</div></blockquote>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">29</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">start_time</span></code></p></td>
<td><div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.8 で追加.</span></p>
</div>
<p>このGroongaプロセスが起動した時間です。UNIX時間です。</p>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">1441761403</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">starttime</span></code></p></td>
<td><div class="deprecated">
<p><span class="versionmodified deprecated">バージョン 5.0.8 で非推奨: </span>代わりに <code class="docutils literal notranslate"><span class="pre">start_time</span></code> を使ってください。</p>
</div>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">1441761403</span></code></p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">uptime</span></code></p></td>
<td><p>このGroongaプロセスが起動してから経過した時間です。単位は秒です。</p>
<p>たとえば、 <code class="docutils literal notranslate"><span class="pre">216639</span></code> は <code class="docutils literal notranslate"><span class="pre">2.5</span></code> （= <code class="docutils literal notranslate"><span class="pre">216639</span> <span class="pre">/</span> <span class="pre">60</span> <span class="pre">/</span> <span class="pre">60</span> <span class="pre">/</span> <span class="pre">24</span> <span class="pre">=</span> <span class="pre">2.507</span></code> ）日という意味です。</p>
</td>
<td><p><code class="docutils literal notranslate"><span class="pre">216639</span></code></p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">version</span></code></p></td>
<td><p>このGroongaプロセスのバージョンです。</p></td>
<td><p><code class="docutils literal notranslate"><span class="pre">5.0.7</span></code></p></td>
</tr>
</tbody>
</table>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.59. <code class="docutils literal notranslate"><span class="pre">status</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.59.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.59.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.59.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.59.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.59.4.1. 必須引数</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.59.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.59.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="shutdown.html"
                        title="前の章へ"><span class="section-number">7.3.58. </span><code class="docutils literal notranslate"><span class="pre">shutdown</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="suggest.html"
                        title="次の章へ"><span class="section-number">7.3.60. </span><code class="docutils literal notranslate"><span class="pre">suggest</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="suggest.html" title="7.3.60. suggest"
             >次へ</a> |</li>
        <li class="right" >
          <a href="shutdown.html" title="7.3.58. shutdown"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.59. </span><code class="docutils literal notranslate"><span class="pre">status</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>